Skip to navigation

Find Available Pickup Options

Returns up to 10 available pickup options for the requested items around a radius of the provided search coordinates.

The pickup options returned only include options where all requested items are available and can be picked up from a single location.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
search_areaobjectRequired
Area where you are searching for pickup options.
itemslist of objectsRequired
Items you include in your search for pickup options.

Response

The request has been successfully processed.
resultslist of objectsOptional